
Redmine - Defect #20071

User can't update issue status after upgrade

2015-06-11 10:05 - Emmanuel BOUGEROLLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.3

Description

After a migration to 3.0.3 a user can't update issue status.

Workflow is ok.

History

#1 - 2015-06-27 23:21 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

See Submissions.

#2 - 2015-07-22 18:41 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

No feedback.

#3 - 2016-01-20 00:25 - Emmanuel BOUGEROLLE

- Status changed from Closed to Reopened

Hi,

Sorry for delay.

After a new attempt to migrate redmine 2.1.2.devel to redmine 3.2 i have the same problem.

After migration a reporter can't anymore update status for an issue. It can only update passed time, add comment and activity.

Before migration same user can update status, assigned to, passed time, add comment and activity.

Here environnent informations :

sh: 1: svn: not found

sh: 1: darcs: not found

not trusting file /home/deploy/apps/redmine/.hg/hgrc from untrusted user deploy, group www-data

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

Redmine version                3.2.0.devel

Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux]

Rails version                  4.2.5

Environment                    production

Database adapter               Mysql2

SCM:

Mercurial                      2.8.2

Git                            1.9.1

Filesystem

Redmine plugins:

no plugin installed
#4 - 2016-01-20 03:13 - Toshi MARUYAMA

- Status changed from Reopened to Needs feedback

- Resolution deleted (No feedback)

Why do you use "3.2.0.devel"?

#5 - 2016-01-20 09:02 - Emmanuel BOUGEROLLE

It's an mistake. But I think i've found the problem.

I havent completely read all changelings since 2.1.2.

The edit issue properties was not set in permissions.

In 3.2 version it seems that this permission needs to be set for update status and adapt with field permission.

I have to deepen this question to adapt all the settings

#6 - 2021-08-14 10:26 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Emmanuel BOUGEROLLE wrote:

It's an mistake. But I think i've found the problem.

I havent completely read all changelings since 2.1.2.

The edit issue properties was not set in permissions.

In 3.2 version it seems that this permission needs to be set for update status and adapt with field permission.

 Thank you for the feedback. Closing.
